<?php

/**
* 01/06/2015
* @author Gabriel@Silva
*/

namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class Dfe57000LancamentoSimplificadoFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getNotas($params) {
        $sql = "SELECT 'O' AS IDCHECK, NF.CDFILIRECE, NF.CDINSCESTA, NF.NRINSJURNF, F.NMRAZSOCFORN,
                       NF.NRNOTAFISC,  NF.CDSERIEENTR, NF.DTEMISSAO, N.CDFILIAL  AS CDFILIALNF, NMFILIAL, N.NRLANCTONF,
                       NF.VRNOTAFISC, NF.NRACESSONFE, NF.IDTPIJURNF, '' AS CDTIPOOPER, SYSDATE AS DTENTRSAID,
                       '' AS CDFILIAL, N.NRORG
                  FROM INTG_NOTAFISCAL NF, FORNECEDOR F, NOTAFISCAL N, FILIAL F
                 WHERE NF.CDFORNECED = F.CDFORNECED(+)
                   AND ((NF.CDFILIRECE IN :P_CDFILIAL) OR (:P_CDFILIAL IS NULL))
                   AND ((NF.CDFORNECED IN :P_CDFORNECED) OR (:P_CDFORNECED IS NULL))
                   AND ((NF.DTEMISSAO BETWEEN :P_DTINICIAL AND :P_DTFINAL) OR (:P_DTDATA IS NULL))
                    AND (NF.CDFILIRECE = F.CDFILIAL)
                 ORDER BY NF.DTEMISSAO DESC, F.NMRAZSOCFORN";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $dataSet = $std->fetchAll();
    }
}